StaticTools (QuantitativePropertiesVisualisation 1.1.0-2.16.1 API)
Date: 2013-09-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.visualisation.client
Class StaticTools

    java.lang.Object
      org.visualisation.client.StaticTools

    public class StaticTools

extends Object

Constructor Summary
`StaticTools()`

Method Summary
`static String` | `createGeoserverParams(String geoserverUrl, String workspace, String layerName)`
`static void` | `injectBubblePlotFiles()`
`static void` | `injectStaticBubblePlotFiles()`
`static String` | `setVisualisationFields(String idFieldName, String populationFieldName)`
`static String` | `setVisualisationFields(String idFieldName, String populationFieldName, String skewFieldName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticTools

    public StaticTools()

Method Detail

### createGeoserverParams

    public static String createGeoserverParams(String geoserverUrl,
                                               String workspace,
                                               String layerName)
                                        throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### setVisualisationFields

    public static String setVisualisationFields(String idFieldName,
                                                String populationFieldName,
                                                String skewFieldName)
                                         throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### setVisualisationFields

    public static String setVisualisationFields(String idFieldName,
                                                String populationFieldName)
                                         throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### injectBubblePlotFiles

    public static void injectBubblePlotFiles()

### injectStaticBubblePlotFiles

    public static void injectStaticBubblePlotFiles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.